Bug Hunting Session
Bug 47489 - PIVOTTABLE:Weighted average in pivottable?
Summary: PIVOTTABLE:Weighted average in pivottable?
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.1 release
Hardware: All All
: high major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Pivot-Table
  Show dependency treegraph
 
Reported: 2012-03-18 23:25 UTC by Alex
Modified: 2019-06-29 02:57 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Test of pivot table (9.51 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-03-18 23:25 UTC, Alex
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alex 2012-03-18 23:25:38 UTC
Created attachment 58650 [details]
Test of pivot table

In attached table the mean value of <price> is incorrect.
Comment 1 GerardF 2012-03-19 08:53:06 UTC
Pivot table returns here the correct price average :
He gives the average of price column with condition name = "a"
(20+2+1)/3

Did you expect "weighted average" ?
Comment 2 Alex 2012-03-19 22:00:51 UTC
(In reply to comment #1)

> Did you expect "weighted average" ?

Yes. IMHO "weighted average" is more suitable in this case.
Comment 3 Alex 2012-03-19 22:59:05 UTC
We have 2 case:
1 The source cell contains a number- we have to use "average"

2 The source cell contains a function - we have to use "weighted average"
Comment 4 QA Administrators 2017-03-06 14:58:23 UTC Comment hidden (obsolete)
Comment 5 Xisco Faulí 2017-06-12 11:58:54 UTC
Changing version back to the earliest affected version.
Comment 6 Alex 2017-06-13 05:59:48 UTC
5.3.3.2, Windows XP, no any changes
Comment 7 QA Administrators 2018-06-17 02:43:55 UTC Comment hidden (obsolete)
Comment 8 Alex 2018-06-28 06:46:38 UTC
the bug is present

Версия: 6.0.5.2 (x64)
ID сборки: 54c8cbb85f300ac59db32fe8a675ff7683cd5a16
Потоков ЦП: 2; ОС:Windows 6.1; Отрисовка ИП: по умолчанию; 
Локаль: ru-RU (ru_RU); Calc: group
Comment 9 QA Administrators 2019-06-29 02:57:44 UTC
Dear Alex,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug